#include <stdio.h>

enum u_tag { u_a, u_b };
struct u { enum u_tag tag; union { long int a; double b; } cont; };


void to_str(struct u n)
{
  switch (n.tag) {
    case  u_a:
      printf("Int: %ld\n", n.cont.a);
      break;
    case u_b:
      printf("Double: %f\n", n.cont.b);
      break;
    }
}

int main(int argc, char *argv[])
{
  struct u v = { u_a, { .a = 5 } };
  struct u w = { u_b, { .b = 3.0 } };

  to_str(v);
  to_str(w);

  return 0;
}
