#include <stdio.h>
#include <stdlib.h>

typedef struct list_el { 
    void *head; 
    struct list_el *tail; 
    } *list;

list cons(void *hd, list tl) 
{ list l;
  if ((l= (list)malloc(sizeof(struct list_el)))== NULL) {
    fprintf(stderr, "Out of memory\n");
    abort();
  }
  l-> head= hd; l-> tail= tl;
  return l;
}


typedef struct tree_el { 
  struct tree_el *le; void *node; struct tree_el *ri;
  } *tree;

tree cons_tree(tree le, void *node, tree ri)
{
  tree t;
  if ((t= (tree)malloc(sizeof(struct tree_el)))== NULL) {
    fprintf(stderr, "Out of memory\n");
    abort();
  }
  t->le = le; t-> node= node; t-> ri= ri;
  return t;
}


int main() {
  printf( "A: %lu, B: %lu, C: %lu, D: %lu, E: %lu, F: %lu\n"
        , sizeof(tree*), sizeof (struct tree_el), sizeof(tree)
        , sizeof(list*), sizeof (struct list_el), sizeof(list));
}